Gallery Platform API
Reference

List legal documents

Lists the gallery's legal documents, newest first. Filter by `status`, `document_type`, or counterparty contact.

GET
/gallery/legal-documents

Lists the gallery's legal documents, newest first. Filter by status, document_type, or counterparty contact.

Authorization

bearerAuth legal_documents:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: legal_documents:read

Query Parameters

status?string

Value in

  • "draft"
  • "generated"
  • "sent"
  • "accepted"
  • "voided"
document_type?string

Value in

  • "loan_agreement"
  • "bill_of_sale"
counterparty_contact_id?string
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "document_type": "loan_agreement",      "status": "draft",      "title": "string",      "counterparty_contact_id": "string",      "counterparty_name": "string",      "template_key": "string",      "template_version": -9007199254740991,      "template_vetted": true,      "jurisdiction": "string",      "answers": {        "property1": "string",        "property2": "string"      },      "pdf_sha256": "string",      "generated_at": "string",      "sent_at": "string",      "accepted_at": "string",      "voided_at": "string",      "created_at": "string",      "updated_at": "string"    }  ]}